Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1886399 - [Rawhide/Fedora33] gcc crashes at brew during Firefox build
Summary: [Rawhide/Fedora33] gcc crashes at brew during Firefox build
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F33FTBFS 1887045
TreeView+ depends on / blocked
 
Reported: 2020-10-08 11:30 UTC by Martin Stransky
Modified: 2020-10-23 22:40 UTC (History)
11 users (show)

Fixed In Version: gcc-10.2.1-6.fc33 gcc-10.2.1-6.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-23 22:17:53 UTC
Type: Bug
bcotton: fedora_prioritized_bug+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNU Compiler Collection 97295 0 P3 RESOLVED ICE on firefox built with lto+pgo: dist/include/mozilla/Casting.h:64:1: internal compiler error: in to_frequency, at pro... 2021-02-19 16:26:23 UTC

Description Martin Stransky 2020-10-08 11:30:55 UTC
Description of problem:

Rawhide (gcc-10.2.1-5.fc34) and Fedora (gcc-10.2.1-3.fc33) both crashes during Firefox 81.0.1 builds with the same error:

/usr/bin/g++ -std=gnu++17 -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 -fstack-protector-strong -Wall -Wempty-body -Wignored-qualifiers -Woverloaded-virtual -Wpointer-arith -Wsign-compare -Wtype-limits -Wunreachable-code -Wwrite-strings -Wno-invalid-offsetof -Wc++2a-compat -Wduplicated-cond -Wimplicit-fallthrough -Wunused-function -Wunused-variable -Wno-error=maybe-uninitialized -Wno-error=deprecated-declarations -Wno-error=array-bounds -Wno-error=coverage-mismatch -Wno-error=free-nonheap-object -Wno-multistatement-macros -Wno-error=class-memaccess -Wno-error=deprecated-copy -Wformat -Wformat-overflow=2 -Werror=implicit-function-declaration -Wno-psabi -fno-sized-deallocation -fno-aligned-new -O2 -fexceptions -g -grecord-gcc-switches -pipe -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fpermissive -fPIC -Wl,-z,relro -Wl,-z,now -DNSS_PKCS11_3_0_STRICT -fno-exceptions -fno-strict-aliasing -fno-rtti -ffunction-sections -fdata-sections -fno-exceptions -fno-math-errno -pthread -pipe -g -O3 -fomit-frame-pointer -funwind-tables  -o TestFloatingPoint /builddir/build/BUILD/firefox-81.0.1/objdir/mfbt/tests/TestFloatingPoint.list   -flto=6 -flifetime-dse=1 -lpthread -Wl,-z,noexecstack -Wl,-z,text -Wl,-z,relro -Wl,-z,nocopyreloc -Wl,-Bsymbolic-functions -Wl,--build-id=sha1 -fstack-protector-strong -Wl,-rpath-link,/builddir/build/BUILD/firefox-81.0.1/objdir/dist/bin -Wl,-rpath-link,/usr/lib   -pie  -ldl 
*** WARNING *** there are active plugins, do not report this as a bug unless you can reproduce it without enabling any plugins.
Event                            | Plugins
PLUGIN_FINISH_UNIT               | annobin: Generate final annotations
PLUGIN_START_UNIT                | annobin: Generate global annotations
PLUGIN_ALL_PASSES_START          | annobin: Generate per-function annotations
PLUGIN_ALL_PASSES_END            | annobin: Register per-function end symbol
during RTL pass: ira
/builddir/build/BUILD/firefox-81.0.1/objdir/dist/include/mozilla/Casting.h: In function 'BitwiseCast':
/builddir/build/BUILD/firefox-81.0.1/objdir/dist/include/mozilla/Casting.h:64:1: internal compiler error: in to_frequency, at profile-count.c:273
   64 | }
      | ^
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
make[2]: *** [/tmp/ccacmMq9.mk:2: /tmp/TestFloatingPoint.CQjHW8.ltrans0.ltrans.o] Error 1

Comment 2 Jakub Jelinek 2020-10-17 12:19:28 UTC
Should be fixed in gcc-10.2.1-6.fc{32,33,34}.  It is already in rawhide, if it works there, I can file f32 and f33 errata.

Comment 3 Martin Stransky 2020-10-20 05:57:07 UTC
(In reply to Jakub Jelinek from comment #2)
> Should be fixed in gcc-10.2.1-6.fc{32,33,34}.  It is already in rawhide, if
> it works there, I can file f32 and f33 errata.

Yes, the gcc-10.2.1-6.fc34 seems to fix that, builds went through. Please submit the updates.
Thanks.

Comment 4 Fedora Update System 2020-10-20 08:49:49 UTC
FEDORA-2020-24ed89ef74 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-24ed89ef74

Comment 5 Jakub Jelinek 2020-10-20 08:51:30 UTC
Can't do the f32 errata until https://bodhi.fedoraproject.org/updates/FEDORA-2020-f6c9344447 is out, but unfortunately it got twice negative carma (not package's fault) and so can't push it to stable yet.

Comment 6 Martin Stransky 2020-10-20 09:04:16 UTC
(In reply to Jakub Jelinek from comment #5)
> Can't do the f32 errata until
> https://bodhi.fedoraproject.org/updates/FEDORA-2020-f6c9344447 is out, but
> unfortunately it got twice negative carma (not package's fault) and so can't
> push it to stable yet.

It has the karma now, Thanks.

Comment 7 Fedora Update System 2020-10-20 14:24:11 UTC
FEDORA-2020-24ed89ef74 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-24ed89ef74`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-24ed89ef74

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-10-21 12:09:52 UTC
FEDORA-2020-a60c5b3723 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-a60c5b3723

Comment 9 Ben Cotton 2020-10-21 16:53:46 UTC
Accepted as a Prioritized Bug in case the fix is insufficient.

Comment 10 Fedora Update System 2020-10-23 22:17:53 UTC
FEDORA-2020-24ed89ef74 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-10-23 22:40:36 UTC
FEDORA-2020-a60c5b3723 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.